ROHTO - Bug #458

ESS Overtime masih belum stabil untuk posting ke absence half day
08/30/2021 03:37 PM - Muhammad Bintar

Status: Closed Start date: 08/30/2021
Priority: Urgent Due date: 09/01/2021
Assignee: Saswanto Tampan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear tim developer, mohon support nya untuk perbaikan pada ess overtime

pengujian dilakukan pada pemilihan assignment notes 8 jam & 11 jam hanya posting 1 sequence pada absence half day dan
overtime, sedangkan assignment notes 4 jam hanya posting overtime saja.
1 My Report
: ; R
E= Request Employee 1D 00000762 Company ID: OHTO
» T3 HR Administration Full Name: Magdalena Prita Pagita Employee Office: Head Office

Employee Status: Active Organization: Human Resource HO

LT Performance Ma...

Employee Type: Permanent Position: Human Resource Staff
L= Time Management

L] Arzendance

Master Data Overtime - 00000762 - Magdalena Prita Pagita
{1 Leave
[1 Overtime Overtime Action = Clear Fitters
r Absence Quota . . X X
¥ [ Travel Managem... Start Date  End Date OvertimeType Day Before Flag | DayType StartPl..  EndPl.. | Plan Duration StartTime | End Time
_ . Abs ——
[ Forwarding Task e 06/00/2021 | 07/09/2021 | After Work Schedule  YES Working Day 1701 0401 11.00 1701 0401

£l Inbex Absence Half Day
f 0270972021 03/09/2021  After Work Schedule  YES Working Day 1701 000 7.00 1701 0001

T n Artendance
L]l Sharing Approval IN/08/2021  O1/09/2021  After Work Schedule  YES Working Day 1701 0101 200 1701

[l Outbox Wark Sehedule

307082021  30/0B/2021  After Work Schedule  NO Working Day 1701 21 4.00 17

[1 Draft Personal Work Sche...

[ Archive
]| Delete Request ID r
. i Full Name: Magdalena Prita Pagita Employee Office: Head Office
tAdministration

: Acti ization: H
kormance Ma... Employee Status: ctive Organization Human Resource HO

& Management Employee Type: Permanent Position: Human Resource Staff

[Arrendance
Master Data Absence Half Day - 00000762 - Magdalena Prita Pagita
Leave
Overtime Overtime Action = Clear Filters
. Absence
ding Task 06/09/2021 07/09/2021 2 20/09/2021 204/09/2021 05
31/08/2021 01/09/2021 2 14/09/2021 14/09/2021 05
i Approval Artendance
referensi nya ada pada redmine ini
http://remote.minovais.com:3000/redmine/issues/419

History

#1 - 08/30/2021 04:03 PM - Kezia Pawitra Yulianti
- Due date set to 09/03/2021
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

Dear Wanto,
berikut yaa untuk case overtime dan absence halfday yang masih belum stabil. Mohon untuk dapat di fixing
Tks

#2 - 08/30/2021 04:13 PM - Kezia Pawitra Yulianti

Saat ini kondisinya:

1. Jika dilakukan pengajuan ovt 8 dan 11 jam, yg terbentuk absence halday nya hanya 1 data saja. Padahal seharusnya terbentuk 2 data untuk
masing2 pengajuan tsb

2. Jika pengajuan ovt 4 jam, tidak terbentuk data absence halfday. padahal seharusnya terbentuk 1 data absence halfday

Sebagai catatan contoh data yg seharusnya terbentuk:

- ovt kurang dr 4 jam - tidak terbentuk absence halfday sama sekali

- ovt pas 4 jam dan s/d 7 jam 59 menit - hanya terbentuk absence halfday 1 data

- ovt pas 8 jam dan seterusnya - terbentuk absence halfday 2 data saja (tidak lebih)

Kondisi ini terbentuk hanya jika assignment notes yg dipilih adalah 'Leave'. Jika pilih cash maka absence halfday tidak terbentuk sama sekali (hanya
md overtime yg terbentuk jika pilih cash)

Demikian, terima kasih

#3 - 08/31/2021 01:32 PM - Kezia Pawitra Yulianti
- Due date changed from 09/03/2021 to 09/01/2021

- Assignee changed from Saswanto Tampan to Alip Sudin

#4 - 11/24/2021 11:56 PM - Muhammad Bintar
- File clipboard-202111242340-ogngn.png added
- File clipboard-202111242341-pfhbr.png added
- File clipboard-202111242343-dqwj4.png added
- File clipboard-202111242356-zwh2s.png added
- Status changed from Assigned to Developing

- Assignee changed from Alip Sudin to Muhammad Bintar

hasil testing dan deploy pada rohto production di client.
sudah bisa untuk posting untuk durasi 4 jam dan 8 jam
~ = Request Employee Type: Permanent Position: Human Resource Staff
» [ HR Administration

» [ performance Ma... Master Data Absence Half Day - 00000767 - Bramadi Purba

- N
= Time Management Overtime Lot Clear Filters
{1 sharing Approval
{1 Archive Displaying 1-3of 3
namun pada saat melakukan pengajuan durasi di 9.5 jam tidak terposting ke master data absence halfday di posisi assignment notes Leave
2 2 &l
dan ada issue tambahan yaitu :
1. tidak bisa hapus data pada time data absence halfday.

8 Main

Date From:

R

20/11/2021
Date To: 3001172021
Start Time: 17:01
End Time: 02:31
Day Before Flag: YES
Duration:

Day Type:

2. jika melakukan save data dan update data, maka akan timbul data baru yang duplikat.
Employee Overview - 00000767 - Bramadi Purba

Employee 1D: 00000767

Full Name: Bramadi Purba

Employee Status: Active

Employee Type: Permanent
Overtime Acilon w
End Deduction

&

bintar

Q< |*8

9.5

Working Day

@ X # B OOER 4§ @ § G

-0
ROHTO
Head Office
Human Resource HO

Human Resource Staff

Edit - Absence Half Day - 00000767 - Bramadi Purba

Clear Filters

Absence Quo...  Descripti... Use Date
0.5 01

01

Attendance
2451172021
2arn1/2021
o1
#5 - 11/24/2021 11:57 PM - Muhammad Bintar

- Assignee changed from Muhammad Bintar to Saswanto Tampan

#6 - 11/25/2021 03:28 PM - Muhammad Bintar
- File clipboard-202111251525-ypvao.png added

- File utility.js added
- File clipboard-202111251528-brvrp.png added

- Status changed from Developing to QA Test
- Assignee changed from Saswanto Tampan to Muhammad Bintar
HRiS Menu
Employee ID: Company ID: ROHTO

* [ My Workplace Full Name: Bramadi Purba Employee Office: Head Office
» [0 My Report Employee Status: Active Organization: Human Resource HO
v = Request Employee Type: Permanent Position: Human Resource Staff
» [ HR Administration

» [J performance Ma... Master Data Absence Half Day - 00000767 - Bramadi Purba

= [= Time Management .
# Overtime e Action = Clear Filters
0 Leave Absence Quota ] .
X Start Date End Date Employee ... Sequence | Start Deduction = End Deduction = Absence Quo...  Start Time
] Overtime
Absence ]
» [ Travel Managem 25/11/2021  26/11/2021 00000767 1 25/11/2021 09/12/2021 0,5 0830
{1 nbox 30/11/2021 0111272021 00000767 3 30/11/2021 05/12/2021 05 0000 q
{1 Draft . .
Archive
Berikut Package nya yang harus di deploy:
1. package utility di deploy ke \Ul\app\controller\workflow\run -

Hinovaticasage (11, WFOIL L+, Wby
B }
v s = i T () ¢
i} (taskidrun = 'requester_confirm®){
1 b = konfig untul menentukan taskid

if (parselnt (myduration) >= 3){
setTimecnt (function() {
try {

HinovalUtil.ExecuteParamQuery({
ID: ‘WESAVEPHRPAOL13',
myduration:parselnt {myduration) ,
StartDate: myStartDate,
EndDate: myEndDate,
EmployesID: myEmployeelD,
StartDateDeduction: myStartDate,
EndDateDeduction: year+month+day
| }, function (s} {1},
i fanetion (£} {}):
H cateh {}
i by 5 )i
]
if (parsefnt (myduration) < 3){
setTimecuf (function() {
thy {

THTHTHTHTHT—

MinovalUtil.ExecuteParamQuerv({
ID: *WESAVEPHRPAOLLSZ',
myduration:parselnt (myduration),
StartDate: myStartDate,
EndDate: myEndDate,
EmployeeID: myEmployesID,
StartDateleduction: myStartDate,
| EndDateDeduction: year+monthiday
— }, funetion (s) {}.
- function (£} {})/

i P S 1

— b 5 ):

2. sesuaikan settingan sdatatablefield dan table design PHRPA0118

#7 - 11/25/2021 03:28 PM - Muhammad Bintar
- Status changed from QA Test to Deploy

#8 - 11/25/2021 03:29 PM - Muhammad Bintar
- Status changed from Deploy to Closed

- Assignee changed from Muhammad Bintar to Saswanto Tampan
